Sync libgtkada2 2.14.2-4 (universe) from Debian unstable (main)

Bug #623372 reported by Artur Rona on 2010-08-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libgtkada2 (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync libgtkada2 2.14.2-4 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
Debian has approved armel support and added some improvements.

Changelog entries since current maverick version 2.14.2-1ubuntu1:

libgtkada2 (2.14.2-4) unstable; urgency=low

  * debian/patch/example_makefiles.patch: new. Thanks, Olivier Henley.
  * debian/rules (configure-stamp): correct the paths. Closes: #587533.

 -- Ludovic Brenta <email address hidden> Thu, 8 Jul 2010 10:55:03 +0200

libgtkada2 (2.14.2-3) unstable; urgency=low

  * debian/control (Architecture): add armel. Closes: #568442.
    (Standards-Version): bump to 3.8.4 with no changes required.
    (*-dev): depend on gnat, ada-compiler.
    (*-doc, *-dbg, *-bin): suggest gnat, ada-compiler.
    (*-bin): recommend glade, not glade-2.
             Change the short description (lintian warning).
    (XS-VCS-*): replace with VCS-* (lintian warning).
    (Depends): add ${misc:Depends} everywhere (lintian warning).

  * debian/rules:
    (libgtkada2.14.2-dev): generate gtkada.gpr and gnomeada.gpr
    from gtkada2.gpr and gnomada2.gpr. Closes: #580118.
    (binary-arch): fix a thinko (lintian warning).

  * Fix lintian errors:
    ancient-autotools-helper-file config.guess 2001-09-04
    ancient-autotools-helper-file config.sub 2001-09-04
    - debian/control (Build-Depends): add autotools-dev.
    - debian/rules (clean): delete the two files.
      (configure-stamp): symlink them from /usr/share/misc, provided by
      autotools-dev.
  See also #585611.

 -- Ludovic Brenta <email address hidden> Sat, 12 Jun 2010 12:59:08 +0200

libgtkada2 (2.14.2-2) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/patches/02-commands.patch: Call gate2-in.exe in the location
    where debian/rules installs it.

 -- Ludovic Brenta <email address hidden> Sat, 24 Apr 2010 11:20:38 +0200

Changed in libgtkada2 (Ubuntu):
assignee: nobody → Stefano Rivera (stefanor)
importance: Undecided → Wishlist
Changed in libgtkada2 (Ubuntu):
assignee: Stefano Rivera (stefanor) → nobody
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgtkada2 - 2.14.2-4

---------------
libgtkada2 (2.14.2-4) unstable; urgency=low

  * debian/patch/example_makefiles.patch: new. Thanks, Olivier Henley.
  * debian/rules (configure-stamp): correct the paths. Closes: #587533.

libgtkada2 (2.14.2-3) unstable; urgency=low

  * debian/control (Architecture): add armel. Closes: #568442.
    (Standards-Version): bump to 3.8.4 with no changes required.
    (*-dev): depend on gnat, ada-compiler.
    (*-doc, *-dbg, *-bin): suggest gnat, ada-compiler.
    (*-bin): recommend glade, not glade-2.
             Change the short description (lintian warning).
    (XS-VCS-*): replace with VCS-* (lintian warning).
    (Depends): add ${misc:Depends} everywhere (lintian warning).

  * debian/rules:
    (libgtkada2.14.2-dev): generate gtkada.gpr and gnomeada.gpr
    from gtkada2.gpr and gnomada2.gpr. Closes: #580118.
    (binary-arch): fix a thinko (lintian warning).

  * Fix lintian errors:
    ancient-autotools-helper-file config.guess 2001-09-04
    ancient-autotools-helper-file config.sub 2001-09-04
    - debian/control (Build-Depends): add autotools-dev.
    - debian/rules (clean): delete the two files.
      (configure-stamp): symlink them from /usr/share/misc, provided by
      autotools-dev.
  See also #585611.

libgtkada2 (2.14.2-2) unstable; urgency=low

  [Nicolas Boulenguez]
  * debian/patches/02-commands.patch: Call gate2-in.exe in the location
    where debian/rules installs it.
 -- Artur Rona <email address hidden> Thu, 8 Jul 2010 10:55:03 +0200

Changed in libgtkada2 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers